Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#69737 - [bullet] ldconfig creates a symlink not tracked by pacman

Attached to Project: Arch Linux
Opened by Chih-Hsuan Yen (yan12125) - Monday, 22 February 2021, 06:32 GMT
Last edited by Sven-Hendrik Haase (Svenstaro) - Wednesday, 24 February 2021, 10:45 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Sven-Hendrik Haase (Svenstaro)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:

/usr/lib/libpybullet.so.3.08 has SONAME pybullet.so.3.08, so ldconfig run by pacman creates untracked /usr/lib/pybullet.so.3.08

By the way, rpath of /usr/lib/libpybullet.so.3.08 looks horrible

0x000000000000000f (RPATH) Library rpath: [/build/bullet/src/bullet3-3.08/build/Extras/BulletRoboticsGUI:/build/bullet/src/bullet3-3.08/build/examples/ExampleBrowser:/build/bullet/src/bullet3-3.08/build/Extras/BulletRobotics:/build/bullet/src/bullet3-3.08/build/Extras/Serialize/BulletWorldImporter:/build/bullet/src/bullet3-3.08/build/src/BulletSoftBody:/build/bullet/src/bullet3-3.08/build/Extras/InverseDynamics:/build/bullet/src/bullet3-3.08/build/src/BulletInverseDynamics:/build/bullet/src/bullet3-3.08/build/examples/OpenGLWindow:/build/bullet/src/bullet3-3.08/build/examples/ThirdPartyLibs/Gwen:/build/bullet/src/bullet3-3.08/build/examples/ThirdPartyLibs/BussIK:/build/bullet/src/bullet3-3.08/build/src/Bullet3Common:/build/bullet/src/bullet3-3.08/build/Extras/Serialize/BulletFileLoader:/build/bullet/src/bullet3-3.08/build/src/BulletDynamics:/build/bullet/src/bullet3-3.08/build/src/BulletCollision:/build/bullet/src/bullet3-3.08/build/src/LinearMath:]

Additional info:
extra/bullet 3.08-1

Steps to reproduce:
Install bullet
This task depends upon

Closed by  Sven-Hendrik Haase (Svenstaro)
Wednesday, 24 February 2021, 10:45 GMT
Reason for closing:  Fixed
Comment by Sven-Hendrik Haase (Svenstaro) - Wednesday, 24 February 2021, 10:19 GMT
Thanks, good find. I suppose we'll then also need a news post to inform users about this change and that they'll now have to force the installation.
Comment by Sven-Hendrik Haase (Svenstaro) - Wednesday, 24 February 2021, 10:19 GMT
Oh actually not, because we're actually going the right way in my fix. Hang on, investigating.

Loading...